"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var color_convert_1 = __importDefault(require("color-convert"));
var HSLColor = /** @class */ (function () {
    function HSLColor(h, s, l, o) {
        if (o === void 0) { o = 1; }
        this.h = h;
        this.s = s;
        this.l = l;
        this.o = o;
    }
    HSLColor.prototype.setOpacity = function (o) {
        this.o = o;
    };
    HSLColor.prototype.asRGB = function () {
        return color_convert_1.default.hsl.rgb([this.h, this.s, this.l]);
    };
    HSLColor.prototype.toString = function () {
        var rgb = this.asRGB();
        if (this.o == 1)
            return "rgb(".concat(rgb.join(","), ")");
        return "rgba(".concat(rgb.join(","), ",").concat(this.o, ")");
    };
    return HSLColor;
}());
exports.default = HSLColor;
