/// <reference types="lodash" />
import HSLColor from "./HSLColor";
declare type Hue<T = never> = "info" | "success" | "warning" | "error" | "link" | T;
declare type Grayscale = -3 | -2 | -1 | 0 | 1 | 2 | 3;
declare type Saturation = "dull" | "mid" | "bright";
declare type Lightness = "dark" | "mid" | "light";
declare type Opacity = "faint" | "mid" | "opaque";
declare type Space = number;
declare type TriadicHue = Hue<"red" | "yellow" | "blue">;
declare function space(x?: Space): number;
declare const _default: {
    c: ((h: TriadicHue, s: Saturation, l: Lightness, o?: Opacity) => HSLColor) & import("lodash").MemoizedFunction;
    g: ((g: Grayscale) => HSLColor) & import("lodash").MemoizedFunction;
    s: typeof space & import("lodash").MemoizedFunction;
};
export default _default;
